DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-ikln] [-t type] [file | file_system ...]

DESCRIPTION
df displays statistics about the amount of free disk space on the specified file_system or on the file system of which file is a part. Values are displayed in 512-byte per block block counts. If neither a file or a file_system operand is specified, statistics for all mounted file systems are displayed (subject to the -l and -t options below).

The following options are available:

-i  Include statistics on the number of free inodes.

-k  By default, all sizes are reported in 512-byte block counts. The -k option causes the numbers to be reported in kilobyte counts.

-l  Display statistics only about mounted file systems with the MNT_LOCAL flag set. If a non-local file system is given as an argument, a warning is issued and no information is given on that file system.

-n  Print out the previously obtained statistics from the file systems. This option should be used if it is possible that one or more file systems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the file systems, but will respond with the possibly stale statistics that were previously obtained.

-t type
    Is used to indicate the actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. If a file system is given on the command line that is not of the specified type, a warning is issued and no information is given on that file system.

ENVIRONMENT VARIABLES

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, and the -k option is not specified, the block counts will be displayed in units of that size block.

SEE ALSO
quota(1), statfs(2), fstatfs(2), getfsstat(2), getmntinfo(3), fstab(5), mount(8), quot(8)

HISTORY
A df utility appeared in AT&T UNIX.